# Tinker's Satchel

## SUPPORT DISCLAIMER

### Use of a mod manager is STRONGLY RECOMMENDED.

Seriously, use a mod manager.

If the versions of Tinker's Satchel or TILER2 (or possibly any other mods) are different between your game and other players' in multiplayer, things WILL break. If TILER2 is causing kicks for "unspecified reason", it's likely due to a mod version mismatch. Ensure that all players in a server, including the host and/or dedicated server, are using the same mod versions before reporting a bug.

**While reporting a bug, make sure to post a console log** (`path/to/RoR2/BepInEx/LogOutput.log`) from a run of the game where the bug happened; this often provides important information about why the bug is happening. If the bug is multiplayer-only, please try to include logs from both server and client.

## Description

Tinker's Satchel is a general content pack, containing assorted items, equipments, interactables, artifacts, and skill variants. In total, this mod includes:

- 45 items/equipments:
	- 8 tier-1,
	- 8 tier-2,
	- 7 tier-3,
	- 1 boss item,
	- 6 equipments,
	- 5 lunar items,
	- 4 lunar equipments,
	- 3 tier-1 void,
	- 3 tier-2 void,
	- 3 tier-3 void;
- 2 interactables:
	- 2 drones;
- 6 skill variants:
	- 3 for Commando
	- and 3 for Engineer;
- 6 artifacts;
- and 1 other feature:
	- a UI tweak.

Short summaries are provided below. For a full description of each item, see: https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ContentSummary.md

### Mod Content: Items & Equipments

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="2" align="center"><h3>Tier-1 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/extendoArmsIcon.png?raw=true" width=128></td>
			<td>
				<b>Extendo-Arms</b><br>
				Attacks reach farther and deal slightly more damage.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/magnetismIcon.png?raw=true" width=128></td>
			<td>
				<b>Ferrofluid</b><br>
				Your attacks become slightly magnetic and gain crit chance.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/moustacheIcon.png?raw=true" width=128></td>
			<td>
				<b>Macho Moustache</b><br>
				Chance to Taunt on hit. Resist Taunted enemies.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/mimicIcon.png?raw=true" width=128></td>
			<td>
				<b>Mostly-Tame Mimic</b><br>
				Mimics your other items at random.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/motionTrackerIcon.png?raw=true" width=128></td>
			<td>
				<b>Old War Lidar</b><br>
				Periodically fire weak projectiles at all hostiles.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/shootToHealIcon.png?raw=true" width=128></td>
			<td>
				<b>Percussive Maintenance</b><br>
				Hit allies to heal them.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/mugIcon.png?raw=true" width=128></td>
			<td>
				<b>Sturdy Mug</b><br>
				Chance to shoot extra, unpredictable projectiles.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/triBroochIcon.png?raw=true" width=128></td>
			<td>
				<b>Triskelion Brooch</b><br>
				Chance to combine ignite, freeze, and stun.
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Tier-2 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/goldenGearIcon.png?raw=true" width=128></td>
			<td>
				<b>Chestplate</b><br>
				Gain armor by hoarding money.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/defibIcon.png?raw=true" width=128></td>
			<td>
				<b>Defibrillator</b><br>
				Your heals can crit.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/enPassantIcon.png?raw=true" width=128></td>
			<td>
				<b>En Passant</b><br>
				Melee strike with your Utility skill to recharge it.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/fudgeDiceIcon.png?raw=true" width=128></td>
			<td>
				<b>Fudge Dice</b><br>
				Periodically guarantee luck.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/damageBufferIcon.png?raw=true" width=128></td>
			<td>
				<b>Negative Feedback Loop</b><br>
				Some incoming damage is dealt over time.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/pixieTubeIcon.png?raw=true" width=128></td>
			<td>
				<b>Pixie Tube</b><br>
				Drop random buffs on using skills.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/deadManSwitchIcon.png?raw=true" width=128></td>
			<td>
				<b>Pulse Monitor</b><br>
				Auto-activate your equipment for free at low health.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/kleinBottleIcon.png?raw=true" width=128></td>
			<td>
				<b>Unstable Klein Bottle</b><br>
				Gravity slam nearby enemies on taking damage.
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Tier-3 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/goFasterIcon.png?raw=true" width=128></td>
			<td>
				<b>Go-Faster Stripes</b><br>
				Your Utility skill gains more mobility.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/headsetIcon.png?raw=true" width=128></td>
			<td>
				<b>H3AD-53T</b><br>
				Your Utility skill builds a stunning static charge.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/kintsugiIcon.png?raw=true" width=128></td>
			<td>
				<b>Kintsugi</b><br>
				Your broken/consumed/scrapped items increase all your stats.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/pinballIcon.png?raw=true" width=128></td>
			<td>
				<b>Pinball Wizard</b><br>
				Projectiles may bounce and home.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/wranglerIcon.png?raw=true" width=128></td>
			<td>
				<b>RC Controller</b><br>
				Nearby turrets and drones gain attack speed. Ping to take control.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/shrinkRayIcon.png?raw=true" width=128></td>
			<td>
				<b>Shrink Ray</b><br>
				Suppress a single target's non-primary skills and damage.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/skeinIcon.png?raw=true" width=128></td>
			<td>
				<b>Spacetime Skein</b><br>
				Gain mass while stationary. Lose mass while moving.
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Boss Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/extraEquipmentIcon.png?raw=true" width=128></td>
			<td>
				<b>Scavenger's Rucksack</b><br>
				Hold an extra Equipment. Activate with scoreboard open to rummage through the rucksack.
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Equipments</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/packBoxIconOpen.png?raw=true" width=128></td>
			<td>
				<b>Cardboard Box</b><br>
				Pack up and move. <small>[Cooldown: 60 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/rewindIcon.png?raw=true" width=128></td>
			<td>
				<b>Causal Camera</b><br>
				Phase briefly and rewind yourself 10 seconds. <small>[Cooldown: 90 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/reviveOnceIcon.png?raw=true" width=128></td>
			<td>
				<b>Command Terminal</b><br>
				Revive an ally or summon a drone. Consumed on use. <small>[Cooldown: 10 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/lodestoneIcon.png?raw=true" width=128></td>
			<td>
				<b>Lodestone</b><br>
				Pull nearby enemies and allied item effects. <small>[Cooldown: 20 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/recombobulatorIcon.png?raw=true" width=128></td>
			<td>
				<b>Quantum Recombobulator</b><br>
				Reroll an interactable once. <small>[Cooldown: 60 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/dodgeIcon.png?raw=true" width=128></td>
			<td>
				<b>Stamina Bar</b><br>
				Perform up to 3 dodge rolls. <small>[Cooldown: 10 s]</small>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Lunar Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/bismuthFlaskIcon.png?raw=true" width=128></td>
			<td>
				<b>Bismuth Tonic</b><br>
				Reduce duration of debuffs... <i>BUT also reduce duration of buffs.</i>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/mountainTokenIcon.png?raw=true" width=128></td>
			<td>
				<b>Celestial Gambit</b><br>
				Gain an extra item reward from teleporters... <i>BUT jumping for too long gives the item to enemies instead.</i>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/concentratingAlembicIcon.png?raw=true" width=128></td>
			<td>
				<b>Concentrating Alembic</b><br>
				Gain debuff strength and duration... <i>BUT lose reach.</i>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/healsToDamageIcon.png?raw=true" width=128></td>
			<td>
				<b>Hydroponic Cell</b><br>
				Half your healed health grows a plant that provides a single-use damage bonus... <i>BUT you don't receive the converted healing.</i>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/waxFeatherIcon.png?raw=true" width=128></td>
			<td>
				<b>Wax Feather</b><br>
				Staying airborne ignites your attacks and reduces gravity... <i>BUT also weakens your armor and speed.</i>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Lunar Equipments</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EMPIcon.png?raw=true" width=128></td>
			<td>
				<b>EMP Device</b><br>
				Disable skills on enemies... <i>BUT disable non-primary skills on survivors.</i> <small>[Cooldown: 60 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/unstableBombIcon.png?raw=true" width=128></td>
			<td>
				<b>Faulty Mortar Tube</b><br>
				Throw a bomb that will detonate when damaged... <i>BUT it may damage survivors too.</i> <small>[Cooldown: 40 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/monkeysPawIcon.png?raw=true" width=128></td>
			<td>
				<b>Lemurian's Claw</b><br>
				Open a chest for free and drop an extra item... <i>BUT living enemies also receive items.</i> <small>[Cooldown: 120 s]</small>
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/compassIcon.png?raw=true" width=128></td>
			<td>
				<b>Silver Compass</b><br>
				Shows you a path... <i>BUT it will be fraught with danger.</i> <small>[Cooldown*: 180 s]</small>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Void Items</h3><h4>(requires Survivors of the Void DLC)</h4></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/brambleRingIcon.png?raw=true" width=128></td>
			<td>
				<b>Bramble Ring</b> (T2)<br>
				Return some damage to sender. Corrupts all Negative Feedback Loops.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/gupRayIcon.png?raw=true" width=128></td>
			<td>
				<b>Gup Ray</b> (T3)<br>
				Split enemies into two much weaker copies. Corrupts all Shrink Rays.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/orderedArmorIcon.png?raw=true" width=128></td>
			<td>
				<b>Lens of Order</b> (T2)<br>
				Gain massive armor by focusing your item build. Corrupts all Chestplates.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/nautilusIcon.png?raw=true" width=128></td>
			<td>
				<b>Nautilus Protocol</b> (T3)<br>
				All turrets and drones gain flat armor and regen, and a slight damage bonus. Ping to detonate. Corrupts all RC Controllers.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/obsidianBroochIcon.png?raw=true" width=128></td>
			<td>
				<b>Obsidian Brooch</b> (T1)<br>
				Chance to spread DoTs on hit. Corrupts all Triskelion Brooches.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/timelostRumIcon.png?raw=true" width=128></td>
			<td>
				<b>Timelost Rum</b> (T1)<br>
				Chance to cause temporal echoes of attacks. Corrupts all Sturdy Mugs.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/loomIcon.png?raw=true" width=128></td>
			<td>
				<b>Unraveling Loom</b> (T3)<br>
				All your attacks become progressively slower and more powerful. Corrupts all Spacetime Skeins.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/enterCombatDamageIcon.png?raw=true" width=128></td>
			<td>
				<b>Villainous Visage</b> (T1)<br>
				Briefly stealth for a damage boost after killing powerful opponents. Corrupts all Macho Moustaches.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/voidwispHiveIcon.png?raw=true" width=128></td>
			<td>
				<b>Voidwisp Hive</b> (T2)<br>
				Drop damaging wisp allies on using skills. Corrupts all Pixie Tubes.
			</td>
		</tr>
	</tbody>
</table>

### Mod Content: Skill Variants

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="2" align="center"><h3>Commando</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/CommandoPrimaryPulse.png?raw=true" width=128></td>
			<td>
				<b>Pulse</b> (Primary)<br>
				Rapidly shoot an enemy 4 times with high recoil. Damage per shot ramps from 75% to 150% over the course of the burst.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/CommandoUtilityJinkJet.png?raw=true" width=128></td>
			<td>
				<b>Jink Jet</b> (Utility)<br>
				Perform a small jet-assisted horizontal jump in your aim direction. Hold up to 3.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/CommandoSpecialPlasmaGrenade.png?raw=true" width=128></td>
			<td>
				<b>Plasma Grenade</b> (Special)<br>
				<i>Ignite</i>. Throw a sticky grenade with very-close-range homing that explodes for 500% damage. Can hold up to 2. <small>Watch your aim near low walls.</small>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center"><h3>Engineer</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EngiPrimaryFlak.png?raw=true" width=128></td>
			<td>
				<b>Smart Flak</b> (Primary)<br>
				Continuously fire proximity fragmentation shells. Direct hits deal 50% damage. Shrapnel tracks enemies for up to 8x25% damage (maximum 5x25% on a single target).
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EngiSecondaryChaff.png?raw=true" width=128></td>
			<td>
				<b>Decoy Chaff</b> (Secondary)<br>
				Deal 4x75% damage and clear enemy projectiles in a frontal cone. Struck enemies within line of sight of any of your turrets will be Taunted by a turret for 6 seconds.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EngiUtilitySpeedispenser.png?raw=true" width=128></td>
			<td>
				<b>Speed Dispenser</b> (Utility)<br>
				Deploy a stationary decanter that stores up to 4 delicious, caffeinated, precision-brewed charges of +50% speed while sprinting and +25% jump height. Charges last 15 seconds; restores 1 charge every 7.5 seconds.
			</td>
		</tr>
	</tbody>
</table>

### Mod Content: Interactables

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="2" align="center"><h3>Drones</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/ItemDroneIcon.png?raw=true" width=128></td>
			<td>
				<b>Item Drone</b><br>
				Give items to share them with allies near the drone.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/BulwarkDroneIcon.png?raw=true" width=128></td>
			<td>
				<b>Bulwark Drone</b><br>
				Enemies near the drone will attack it more often. Has high health and innate shield and armor.
			</td>
		</tr>
	</tbody>
</table>

### Mod Content: Artifacts

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name</th>
			<th>Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/tactics_on.png?raw=true" width=128></td>
			<td><b>Artifact of Tactics</b></td>
			<td>All combatants give nearby teammates small, stacking boosts to speed, damage, and armor.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/antiair_on.png?raw=true" width=128></td>
			<td><b>Artifact of Suppression</b></td>
			<td>Players take heavily increased damage while airborne.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/butterknife_on.png?raw=true" width=128></td>
			<td><b>Artifact of Haste</b></td>
			<td>All combatants attack 10x faster and deal 1/20x damage.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/danger_on.png?raw=true" width=128></td>
			<td><b>Artifact of Danger</b></td>
			<td>Players can be killed in one hit.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/delayitems_on.png?raw=true" width=128></td>
			<td><b>Artifact of Safekeeping</b></td>
			<td>All item drops are taken and guarded by the teleporter boss, which will explode in a shower of loot when killed.</td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/DisposableEquip_on.png?raw=true" width=128></td>
			<td><b>Artifact of Reconfiguration</b></td>
			<td>Start with 3 equipment slots. Equipment is more common, and is consumed instead of going on cooldown.</td>
		</tr>
	</tbody>
</table>

### Mod Content: Other

<table>
	<thead>
		<tr>
			<th>Name</th>
			<th>Description</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td><b>Equipment Drone Labels</b></td>
			<td>If enabled, this module will apply the same naming scheme that Item Drones have ("Item Drone (colored name of item)") to vanilla Equipment Drones ("Equipment Drone (colored name of equipment)").</td>
		</tr>
		<tr>
			<td><b>Moddable Equipment Slot Max Charges Patch</b></td>
			<td>This module causes `Inventory.GetEquipmentSlotMaxCharges`, which is normally only referenced by UI code, to also affect the actual max stock of each equipment slot of an inventory. Dependency of some mod content; cannot be disabled.</td>
		</tr>
	</tbody>
</table>

## Issues/TODO

- ItemDisplayRule incompleteness:
	- A few TkSat items have absent or incomplete ItemDisplayRules.
	- Non-Survivor vanilla characters have no display rules for TkSat items.
- Most items need some effects & model polish in general.
	- Chestplate texture has unintentional specularity in some areas.
	- Broken drones are missing smoke/sparks effects.
	- Cardboard Box alternate icon has not been updated to vanilla style like other icons as of v2.2.3.
- Some class-specific item behaviors on Go-Faster Stripes are missing or placeholders.
- Mimic usually displays a count of 0 in chat pickup announcements; might also not count towards logbook stat tracker.
- See the GitHub repo for more!

## Changelog

The 5 latest updates are listed below. For a full changelog, see: https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/changelog.md

(🌧︎: Involves an accepted GitHub Pull Request or other significant assistance from the community. Thanks for your help!)

**4.0.1**

- Added the Moddable Equipment Slot Max Charges Patch, which allows easier change of maximum equipment charges per slot.
	- Fixes Stamina Bar applying triple max charges to ALL equipments while enabled.
- Added Sturdy Mug custom projectiles to some ranged skills which did not previously support the item.

**4.0.0**

- New content:
	- Items
		- Ferrofluid (T1): Your attacks become slightly magnetic and gain crit chance.
		- Concentrating Alembic (Lunar): Gain debuff strength and duration... BUT lose reach.
	- Equipments
		- Stamina Bar: Perform up to 3 dodge rolls.
- Balance pass:
	- Macho Moustache
		- Reworked. *Boring and completely non-situational global-damage-for-free item, meet woefully unexplored debuff mechanic!*
			- New behavior: Chance to Taunt enemies on hit. Receive less knockback and slightly less damage from Taunted enemies.
			- Old behavior: Deal more global damage based on number of enemies in combat.
	- Villainous Visage
		- Reworked.
			- New behavior: Brief stealth after killing Elites and Bosses; attacking breaks this stealth and adds a stacking damage bonus to the attack.
			- Old behavior: Brief damage bonus after entering combat, recharges out of combat.
	- Bismuth Tonic
		- Reworked.
			- New behavior: Reduce duration of both debuffs and buffs.
			- Old behavior: Take less damage from one of normal, elite, or boss enemies after being struck, but more from the other types.
	- Lemurian's Claw
		- Now reduces cost by 50% (configurable) instead of making purchases free.
	- *The following changes are intended to give some specialized items weak effects on otherwise incompatible builds.*
		- Extendo-Arms
			- Reduced damage bonus to 6.25% (was 7.5%).
			- Damage bonus now applies to all attacks (previously melee-only).
			- Now applies a 7.5% speed increase to projectile attacks per stack.
			- Now applies a 7.5% range increase to hitscan attacks per stack.
		- Sturdy Mug
			- Now adds a chance (equal to multishot chance) for melee swings to fire an inaccurate projectile for 25% relative damage.
		- Timelost Rum
			- Now adds a chance (equal to multishot chance) for melee hits to hit again after a delay for 25% relative damage.
		- Pinball Wizard
			- Now adds a chance (equal to projectile ricochet chance) for melee hits to fire a pinball projectile for 50% relative damage.
- Tinker's Satchel now exposes expansion entries in lobby UI, which control whether ALL mod content (except skills) appears per run.
- Cardboard Box, Quantum Recombobulator, and Lemurian's Claw now work on tier-2 category chests.
- Slightly improved the icons for Artifact of Reconfiguration.
- Backend: Some of the CommonCode file has been split into separate files.

**3.9.1**

- Fixed Scavenger's Rucksack (equipment slot swapping), RC Controller (ping AI override), and Nautilus Protocol (ping detonation) not working for clients in multiplayer.
- Fixed En Passant VFX not appearing for clients in multiplayer.
- Due to difficulty of netcode implementation, RC Controller and Nautilus Protocol are no longer able to suppress vanilla ping behavior.

**3.9.0**

- New content:
	- Items:
		- En Passant (T2): Melee strike with your Utility skill to recharge it.
		- Wax Feather (Lunar): Staying airborne ignites your attacks and lowers gravity... BUT also weakens your armor and speed.
		- Nautilus Protocol (T3 Void): All turrets and drones gain flat armor and regen, and a slight damage bonus. Ping to detonate. Corrupts all RC Controllers.
- Balance pass:
	- Lemurian's Claw:
		- Partial rework.
			- New behavior: targets a chest, which it will open for free and add an extra drop to. Will also grant enemies copies of an item from the same drop table, with count dependent on rarity (more common items grant more stacks).
			- Old behavior: targets an item, which it will duplicate one copy of to each ally, and one copy per ally to enemies.
			- *This item had too much cheese potential, between allowing saving it for "useless for enemies" items & being able to use it with an item discard mod. This change should make Lemurian's Claw harder to abuse, while also giving it some use in singleplayer.*
- Lemurian's Claw now displays an animation for granting items to enemies, instead of granting instantly and silently.
- Fixed Celestial Gambit being able to grant items to enemies after the teleporter boss dies.
- RC Controller now suppresses vanilla ping behavior while triggering an AI override (may be reverted in config).
- Potential fix for Scavenger's Rucksack slot swapping not working in multiplayer.
- Fixed missing Risk of Options integration on `Tinker's Satchel/Items.FudgeDice/BoostAmount`.

**3.8.0**

- Balance pass:
	- Celestial Gambit:
		- Partial rework.
			- No longer debuffs health nor prevents jumping.
			- Now gradually removes bonus items from the teleporter pool and gives them to enemies while the player carrying Celestial Gambit remains in midair. After 20 seconds of airtime (configurable), all bonus items will have been given to enemies.
			- The more stacks of Celestial Gambit an airborne player has, the faster bonus items will be given to enemies.
- Fixed Kintsugi not counting itself as a valid item.
- Fixed Kintsugi granting 1/100 of the intended armor and crit chance bonuses.
- Kintsugi now uses internal item names by default, but may also accept name tokens if prefixed with "@".